#include "gnome-canvas-action-pixbuf.h"

static void gnome_canvas_pixbuf_action_class_init (GnomeCanvasActionPixbufClass *class);

static GnomeCanvasPixbufClass *parent_class;



/**
 * gnome_canvas_action_pixbuf_get_type:
 * @void:
 *
 * Registers the #GnomeCanvasActionPixbuf class if necessary, and returns the type ID
 * associated to it.
 *
 * Return value: The type ID of the #GnomeCanvasActionPixbuf class.
 **/
GtkType
gnome_canvas_action_pixbuf_get_type (void)
{
	static GType pixbuf_type;

	if (!pixbuf_type) {
		static const GTypeInfo object_info = {
			sizeof (GnomeCanvasActionPixbufClass),
			(GBaseInitFunc) NULL,
			(GBaseFinalizeFunc) NULL,
			(GClassInitFunc) gnome_canvas_action_pixbuf_class_init,
			(GClassFinalizeFunc) NULL,
			NULL,			/* class_data */
			sizeof (GnomeCanvasActionPixbuf),
			0,			/* n_preallocs */
			(GInstanceInitFunc) NULL,
			NULL			/* value_table */
		};

		pixbuf_type = g_type_register_static (GNOME_TYPE_CANVAS_PIXBUF, "GnomeCanvasActionPixbuf",
						     &object_info, 0);
	}

	return pixbuf_type;
}

/* Class initialization function for the pixbuf canvas item */
static void
gnome_canvas_action_pixbuf_class_init (GnomeCanvasActionPixbufClass *class)
{
	parent_class = g_type_class_peek_parent (class);
}

